# vim: set ft=spec: -*- rpm-spec -*-
# $Id: ruby-fltk,v 1.3 2005/08/28 12:09:18 raorn Exp $

Name: ruby-fltk
Version: 0.9.2
Release: alt1

Summary: Ruby/FLTK is a Ruby binding for FLTK (Fast Light ToolKit)
License: GNU LGPL
Group: Development/Ruby
URL: http://%name.sourceforge.net/
Requires: ruby-stdlibs >= 1.8-alt3

Source: http://download.sourceforge.net/%name/%name-%version.tar.bz2
Patch: %name-0.9.2-alt.patch

# Automatically added by buildreq on Mon Jan 24 2005
BuildRequires: ruby gcc-c++ libfltk-devel libjpeg-devel libpng-devel libruby-devel libstdc++-devel ruby-stdlibs xorg-x11-devel zlib-devel

%description
Ruby/FLTK is a Ruby binding for FLTK (Fast Light ToolKit).
It works fine with OpenGL on UNIX, Cygwin and MinGW environment.

%prep
%setup -q
%patch -p1 -b .original

%build 
%ruby_configure
%make_build

%install 
%makeinstall DESTDIR=%buildroot

%files
%doc Changes INSTALL README ToDo doc/* samples test LGPL
%ruby_sitelibdir/*
%ruby_sitearchdir/*

%changelog
* Sun Aug 28 2005 Sir Raorn <raorn@altlinux.ru> 0.9.2-alt1
- [0.9.2]

* Mon Jan 24 2005 Sir Raorn <raorn@altlinux.ru> 0.9.0-alt2.1
- Updated build requires
- Rebuilt with new ruby/gcc/etc

* Wed Aug 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.0-alt2
- Fix bug in dependencies (we should require Ruby 1.8, not 1.8.0)

* Sun Jul 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.0-alt1
- 0.9.0
- Changed:
    + Patch to fix C++ deps and remove warnings

* Tue Nov 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.8.2-alt2
- Rebuild with new FHS-compliant Ruby packages (1.7.3-alt7)
- Fixed extconf.rb script (C++ Ruby extension logic is a way different from C one)

* Wed Aug  7 2002  <week@altlinux.ru> 0.8.2-alt1
- Initial build for ALT Linux distribution.

